# Fediverse Subdomain

A frontend to accessing my account on the fediverse

## technologies
- node on a bare debian install.
- npm and npx to execute it.
- Uses MastodonAPI, BlueskyAPI, and YoutubeAPI<sup>[1]</sup>.
- Your local machine can also run it (with the proper dependencies; take a look at the docker file).

Quick launch server without docker: `npx http-server /home/<HomeDirectory>/Documents/Fedi.CrowdedGames.Group --port 4000 --cors`

## FAQ

|Question|Answer|
|--------|-------|
|Where can I find my PDS?|Create an access token and then examine the payload's `aud`|
|Where can I get a Youtube Key?|console.cloud.google.com/apis|

# Notes

<sup>[1]</sup>YoutubeAPI doesn't support posting to their post section. It's made with posting videos in mind. Their previous posting page (the bulletin board) is depreciated and most likely doesn't work as trying to get those posts result in nothing returned even though posts are made on the account.